Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface WliJMSControl

All Superinterfaces:
  com.bea.control.Control, com.bea.control.JMSControl, Serializable, com.bea.control.XMLControl

public interface WliJMSControl
extends com.bea.control.JMSControl

Nested Class Summary
`static interface` | `WliJMSControl.Callback`

Field Summary

Fields inherited from interface com.bea.control.JMSControl
`HEADER_CORRELATIONID, HEADER_DELIVERYMODE, HEADER_EXPIRATION, HEADER_MESSAGEID, HEADER_PRIORITY, HEADER_REDELIVERED, HEADER_TIMESTAMP, HEADER_TYPE`

Method Summary
`com.bea.wli.control.dynamicProperties.JMSControlPropertiesDocument` | `getControlProperties()` This method returns the WliJMSControl's properties.
`void` | `setProperties(com.bea.wli.control.dynamicProperties.JMSControlPropertiesDocument jmsProps)` This method sets the control properties dynamically.

Methods inherited from interface com.bea.control.JMSControl
`getHeaders, getProperties, getSession, setHeaders, setProperties, subscribe, unsubscribe`

Method Detail

### setProperties

    public void setProperties(com.bea.wli.control.dynamicProperties.JMSControlPropertiesDocument jmsProps)
                       throws weblogic.jws.control.ControlException

  This method sets the control properties dynamically. Properties set by this method over-ride the static annotations.

  Parameters:
    `jmsProps` - control properties
  Throws:
    `weblogic.jws.control.ControlException`

### getControlProperties

    public com.bea.wli.control.dynamicProperties.JMSControlPropertiesDocument getControlProperties()

  This method returns the WliJMSControl's properties.

  Returns:
    JMSControlPropertiesDocument WliJMSControl dynamic properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD